--[[ Shared functions used by multiple modules ]]
local L = MacroTalk_Locals
local function stringify(...)
	if select("#", ...) > 0 then
		return tostring(...), stringify(select(2, ...))
	end
end

function MacroTalk_Print(...)
	local first = select("#", ...) == 0 and "" or tostring(...)
	DEFAULT_CHAT_FRAME:AddMessage(strjoin(", ",
		"MacroTalk: "..tostring(first), stringify(select(2, ...))))
end

function MacroTalk_DoCommand(text)
	local command = text:match("^(/%S+)")
	
	if command and IsSecureCmd(command) then
		MacroTalk_Print(
			L["You cannot use %s with /opt or /rnd."]:format(command))
		return
	end
	
	local origText = ChatFrameEditBox:GetText()
	ChatFrameEditBox:SetText(text)
	ChatEdit_SendText(ChatFrameEditBox)
	ChatFrameEditBox:SetText(origText)
end
